require File.expand_path(File.dirname(__FILE__) + '/../spec_helper')
require 'json'

include OldApiResource

describe Mocks do
  
  # we set up the mocks in spec helper, so we can just assert this
  it "should hijack the connection" do
    OldApiResource::Mocks::Interface.any_instance.expects(:get).once.returns(
      OldApiResource::Mocks::MockResponse.new("", {:headers => {"Content-type" => "application/json"}, :status_code => 200})
    )
    TestResource.reload_class_attributes
  end
  
  it "should allow the user to raise errors for invalid responsed" do
    old_err_status = OldApiResource.raise_missing_definition_error 
    OldApiResource::Base.raise_missing_definition_error = true
    
    lambda {
      class MyNewInvalidResource < OldApiResource::Base; end
      MyNewInvalidResource.new 
    }.should raise_error(OldApiResource::ResourceNotFound)
    
    OldApiResource.raise_missing_definition_error = old_err_status
  end
  
end
